apt: pkgCache::VerIterator Class Reference

apt 3.1.16 commandline package manager

Public Member Functions | List of all members
pkgCache::VerIterator Class Reference
Inheritance diagram for pkgCache::VerIterator:

## Public Member Functions
Version * | OwnerPointer () const noexcept
VerIterator & | operator++ ()
VerIterator | operator++ (int)
constexpr VerIterator | NextInSource () noexcept
int | CompareVer (const VerIterator &B) const
constexpr bool | SimilarVer (const VerIterator &B) const noexcept
| compares two version and returns if they are similar
constexpr const char * | VerStr () const noexcept
constexpr const char * | Section () const noexcept
constexpr SrcVerIterator | SourceVersion () const noexcept
| source version this version comes from Always contains the version string, even if it is the same as the binary version
constexpr const char * | SourcePkgName () const noexcept
| source package name this version comes from Always contains the name, even if it is the same as the binary name
constexpr const char * | SourceVerStr () const noexcept
| source version this version comes from Always contains the version string, even if it is the same as the binary version
constexpr const char * | Arch () const noexcept
constexpr PkgIterator | ParentPkg () const noexcept
constexpr DescIterator | DescriptionList () const noexcept
DescIterator | TranslatedDescriptionForLanguage (std::string_view lang) const
DescIterator | TranslatedDescription () const
constexpr DepIterator | DependsList () const noexcept
constexpr PrvIterator | ProvidesList () const noexcept
constexpr VerFileIterator | FileList () const noexcept
bool | Downloadable () const
const char * | PriorityType () const
const char * | MultiArchType () const APT_PURE
std::string | RelStr () const
bool | Automatic () const
VerFileIterator | NewestFile () const
bool | IsSecurityUpdate () const
constexpr | VerIterator (pkgCache &Owner, Version *Trg=0) noexcept
Public Member Functions inherited from pkgCache::Iterator< Version, VerIterator >
constexpr bool | end () const noexcept
constexpr bool | operator== (const VerIterator &B) const noexcept
constexpr bool | operator!= (const VerIterator &B) const noexcept
constexpr Version * | operator-> () noexcept
constexpr | operator Version * () noexcept
constexpr | operator Version const * () const noexcept
constexpr Version & | operator* () noexcept
constexpr pkgCache * | Cache () const noexcept
constexpr bool | IsGood () const noexcept
constexpr unsigned long | Index () const noexcept
constexpr map_pointer< Version > | MapPointer () const noexcept
void | ReMap (void const *const oldMap, void *const newMap)

## Additional Inherited Members
Public Types inherited from pkgCache::Iterator< Version, VerIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference
Protected Attributes inherited from pkgCache::Iterator< Version, VerIterator >
Version * | S
pkgCache * | Owner

## Member Function Documentation

## ◆ SimilarVer()

bool SimilarVer | ( | const VerIterator & | B | ) | const
| inlineconstexprnoexcept

compares two version and returns if they are similar

This method should be used to identify if two pseudo versions are referring to the same "real" version

The documentation for this class was generated from the following files:

- apt-pkg/cacheiterators.h
- apt-pkg/pkgcache.cc